pw_export_type Struct Reference
Core API » Context

data for registering export functions More...

## Data Fields

struct spa_list | link
const char * | type
struct pw_proxy *(* | func )(struct pw_core *core, const char *type, const struct spa_dict *props, void *object, size_t user_data_size)

## Detailed Description

data for registering export functions

## Field Documentation

## link

struct spa_list pw_export_type::link

## type

const char* pw_export_type::type

## func

struct pw_proxy*(* pw_export_type::func) (struct pw_core *core, const char *type, const struct spa_dict *props, void *object, size_t user_data_size)

The documentation for this struct was generated from the following file:

- pipewire/context.h